/**
 * Vezbe 4
 * Neophodna predavanja zakljucno sa: Grupisanje objekata - nizovi
 * Klasa List modelira listove sa tekstualnim sadrzajem sa SAMO jedne strane.
 * List dobija broj tek kada se umetne u neki Registrator.
 */
public class List {
    
    private String sadrzaj;
    private int brojLista;
    
    /**
     * Kreira list sa praznim sadrzajem 
     */
    public List(){
        sadrzaj = "";
        brojLista = 0;
    }    
    /**
     * Kreira list sa sadrzajem 
     */
    public List(String sadrzaj){
        this.sadrzaj = sadrzaj;
        brojLista = 0;
    }
    /**
     * Vraca sadrzaj lista
     */
    public String dajSadrzaj(){ return sadrzaj; }
    /**
     * Vraca broj lista
     */
    public int dajBrojLista(){ return brojLista; }    
    /**
     * Menja sadrzaj lista
     */
    public void postaviSadrzaj(String noviSadrzaj){ sadrzaj = noviSadrzaj; }
    /**
     * Menja broj lista
     */
    public void postaviBrojLista(int broj){ brojLista = broj; }    
    /**
     * Vraca tekstualnu reprezentaciju lista
     */
    public String opis(){
        return "Sadrzaj:\n" + sadrzaj + "\nList br. " + brojLista;
    }
    /**
     * Da li list sadrzi zadati tekst (osetljiv na mala i velika slova) 
     */
    public boolean sadrzi(String txt) { return sadrzaj.contains(txt); }
}
