/**
 * Vezbe 5
 * Preduslov predavanja zakljucno sa Mape i skupovi
 * Klasa Kurs predstavlja vrednosti za kupovni i prodajni kurs neke valute
 */
public class Kurs {
    
    private String valuta; // npr. EUR, RSD, USD,...
    private double kupovni, prodajni;
    /**
     * Kreira kurs za zadate vrednosti
     */
    public Kurs(String valuta, double kupovni, double prodajni){
        this.valuta = valuta;
        this.kupovni = kupovni; this.prodajni = prodajni; 
    }
    /**
     * Vraca vrednost valute 
     */
    public String dajValutu() { return valuta; }
    /**
     * Vraca vrednost kupovnog k. 
     */
    public double dajKupovni() { return kupovni; }
    /**
     * Vraca vrednost prodajnog k. 
     */
    public double dajProdajni() { return prodajni; }
    /**
     * Promeni kupovni k.
     */
    public void postaviKupovni(double kupovni) { this.kupovni = kupovni; }
    /**
     * Promeni prodajni k.
     */
    public void postaviProdajni(double prodajni) { this.prodajni = prodajni; }
    /**
     * Vraca tekstualnu reprezentaciju kursa
     */
    public String opis() {
        return valuta + ": " + kupovni + " | " + prodajni;
    }
   
}
